const ARRAY_SIZE: usize = 1_000_000;

fn func(count: u32) {
    println!("{}回目の再帰呼び出し", count);
    let a: [i32; ARRAY_SIZE] = [0; ARRAY_SIZE];
    if count < 10 {
        func(count + 1);
    }
}

fn main() {
    func(1);
}
